Subject: Re: Multiple .dll refs from one .a? (libvfw32)
From: [email-masked] (Mikey)
To: [email-masked]
Cc: Paul Sokolovsky <[email-masked]>, Mike White <[email-masked]>, [email-masked]
Date: Tue, 30 Nov 1999 14:21:12 GMT

dlltool -d MSVFW32.def -l *
dlltool -d AVIFIL32.def -l *
dlltool -d AVICAP32.def -l *
ar urvs libvfw32.a libMSVFW32.a libAVIFIL32.a libAVICAP32.a

Can't swear that this will work, but lib's inside of lib's
are supposed to be searched when linking.

On Tue, 30 Nov 1999 08:34:31 -0500, you wrote:

>On Tue, Nov 30, 1999 at 02:04:33PM +0200, Paul Sokolovsky wrote:
>>Hello Mike,
>>
>>Mike White <[email-masked]> wrote:
>>
>>MW> Has anyone actually successfully run a program that
>>MW> links with cygwin's libvfw32.a (that's Video for
>>MW> Windows)?  Specifically, the VFW32.LIB from MS's
>>MW> Win32 SDK actually refers to functions available in
>>MW> 3 separate .DLL's, none of which is actually named
>>MW> VFW32.DLL.  So linking works fine, but when run,
>>MW> my program (a port from MSVC) complains that it can't
>>MW> find VFW32.DLL. (In fact, no such .DLL exists afaik).
>>MW> The 3 actual .DLL's are MSVFW32.DLL, AVIFIL32.DLL,
>>MW> and AVICAP32.DLL.
>>
>>    You confirmed suspection I had about that. It seems that some of
>>implibs provided with gnu-win32 distributions are not functional. One
>>reason is that they are built simple-minded, e.g. lib<something>.a
>>refers to <something>.dll, which sometimes not true. You showd one
>>example, I may rememember libth32.a for ToolHelp32 package which tries
>>to import functions from some th32.dll which I never saw on any win9x
>>system, while those functions live in kernel32.dll .
>
>I'll be happy to patch any of the .def files for the stub libraries
>if people want to send patches to DJ or me.
>
>I wish that people would start getting into the habit of looking for
>solutions rather than posting complaints or "me toos".  Imagine how
>cygwin could progress if it had a legion of motivated people working
>on it rather than three or four.
>
>cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]